Set an agent cost cap
curl --request PUT \
--url https://{instance}.flintai.dev/api/v1/cost/agent-caps/tenants/{tenant_id}/workspaces/{workspace_id}/{agent_id} \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"monthly_cap": 123
}
'import requests
url = "https://{instance}.flintai.dev/api/v1/cost/agent-caps/tenants/{tenant_id}/workspaces/{workspace_id}/{agent_id}"
payload = { "monthly_cap": 123 }
headers = {
"Authorization": "<api-key>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({monthly_cap: 123})
};
fetch('https://{instance}.flintai.dev/api/v1/cost/agent-caps/tenants/{tenant_id}/workspaces/{workspace_id}/{agent_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"agent_id": "<string>",
"monthly_cap": 123
}{
"code": 400,
"message": "Invalid request"
}{
"code": 400,
"message": "Invalid request"
}{
"code": 400,
"message": "Invalid request"
}{
"code": 400,
"message": "Invalid request"
}cost
Set an agent cost cap
Set the monthly spend cap for an agent
PUT
/
cost
/
agent-caps
/
tenants
/
{tenant_id}
/
workspaces
/
{workspace_id}
/
{agent_id}
Set an agent cost cap
Authorizations
Use this header with a Bearer token to authenticate requests.
Path Parameters
Tenant ID
Workspace ID
Agent fingerprint (agn_<32 hex>)
Body
application/json
Monthly cap
Was this page helpful?

